<!doctype html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:v="urn:schemas-microsoft-com:vml" xmlns:o="urn:schemas-microsoft-com:office:office">
    <head>
        <title>PODit Invoice</title>

        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <!--<![endif]-->
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">


    </head>
    <body style="background: #ffffff;">


        <div id="lppresults">
            <h1>Order # {{order.order_ref}}</h1>
            <h2>Date:  {{invoice_date}} </h2>
            <h2>From:</h2>
            <h3>PODit</h3>
            <h3>Address:  22 Planken St, Stellenbosch</h3>

            <h2>For:</h2>
            <h3>Name: {{user.name}}</h3>
            <h3>Tel: {{user.cell_no}}</h3>
            <h3>Email: {{user.email}}</h3>
            <h3>Address: {{user.address.full_name}}</h3>

            <table style="width:100%;">
                <tr>
                    <th>Name</th>
                    <th>Price</th>
                </tr>

                {% for item in order.item_dicts %}

                <tr style="border-top:1px solid black;">
                    <td>{{item.name}}</td>
                    <td>R {{item.price}}</td>
                </tr>

                {% endfor %}
            </table>
            <h2>Total:    R {{order.total_charge}} </h2> 
           
        </div>

        <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>

        <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.3.4/jspdf.min.js"></script>


        <script type="text/javascript">

            var doc = new jsPDF();


            $( document ).ready(function() {

                doc.fromHTML($('#lppresults')[0], 10, 10, {
                    width: 90
                }, function() {
                    doc.save('Invoice{{order.order_ref}}.pdf');
                    window.location.href = "/units"

                });

            });





        </script>
    </body>
</html>